# Uses of Interface
org.apache.sling.testing.mock.osgi.testsvc.osgiserviceutil.ServiceInterface5

Packages that use ServiceInterface5
Package
Description
org.apache.sling.testing.mock.osgi.testsvc.osgiserviceutil

## Uses of ServiceInterface5 in org.apache.sling.testing.mock.osgi.testsvc.osgiserviceutil

Classes in org.apache.sling.testing.mock.osgi.testsvc.osgiserviceutil that implement ServiceInterface5
Modifier and Type
Class
Description
`class`
`Service5`
Methods in org.apache.sling.testing.mock.osgi.testsvc.osgiserviceutil that return types with arguments of type ServiceInterface5
Modifier and Type
Method
Description
`Optional<ServiceInterface5>`
Service3OsgiR8OptionalField.`getOptionalService5()`
`Optional<ServiceInterface5>`
Service3OsgiR8OptionalFieldImpl.`getOptionalService5()`